public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Petr Lautrbach <plautrba@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: Add tests from https://src.fedoraproject.org/rpms/libsepol/blob/master/f/tests
Date: Fri, 11 Sep 2026 13:17:11 GMT [thread overview]
Message-ID: <178913263145.1.5504334503294787625.tests-selinux-3467323c2d68@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 3467323c2d68cc16d9173277bd76b111e3de8b48
Author : Petr Lautrbach <plautrba@redhat.com>
Date : 2018-02-14T13:39:23+01:00
Stats : +170/-0 in 5 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/3467323c2d68cc16d9173277bd76b111e3de8b48?branch=pr775-checkpolicy-revdeps
Log:
Add tests from https://src.fedoraproject.org/rpms/libsepol/blob/master/f/tests
---
diff --git a/libsepol/sepol_check_context/Makefile b/libsepol/sepol_check_context/Makefile
new file mode 100644
index 0000000..552a9a1
--- /dev/null
+++ b/libsepol/sepol_check_context/Makefile
@@ -0,0 +1,63 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/libsepol/Sanity/sepol_check_context
+# Description: Does sepol_check_context() work as expected?
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2017 Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/libsepol/Sanity/sepol_check_context
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE example.c testpolicy.te
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ test -x runtest.sh || chmod a+x runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: Does sepol_check_context() work as expected?" >> $(METADATA)
+ @echo "Type: Sanity" >> $(METADATA)
+ @echo "TestTime: 5m" >> $(METADATA)
+ @echo "RunFor: libsepol" >> $(METADATA)
+ @echo "Requires: libsepol libsepol-devel gcc policycoreutils selinux-policy-devel" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+
+ rhts-lint $(METADATA)
+
diff --git a/libsepol/sepol_check_context/PURPOSE b/libsepol/sepol_check_context/PURPOSE
new file mode 100644
index 0000000..372cc7d
--- /dev/null
+++ b/libsepol/sepol_check_context/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/libsepol/Sanity/sepol_check_context
+Author: Milos Malik <mmalik@redhat.com>
+
+Does sepol_check_context() work as expected?
+
diff --git a/libsepol/sepol_check_context/example.c b/libsepol/sepol_check_context/example.c
new file mode 100644
index 0000000..af04f27
--- /dev/null
+++ b/libsepol/sepol_check_context/example.c
@@ -0,0 +1,35 @@
+#include <stdio.h>
+#include <errno.h>
+#include <sepol/sepol.h>
+
+int main (int argc, char *argv[]) {
+ FILE *policyfile;
+
+ if (argc < 3) {
+ fprintf(stderr, "%s <binary-policy-path> <context>\n", argv[0]);
+ return 1;
+ }
+
+ policyfile = fopen(argv[1], "r");
+ if (policyfile == NULL) {
+ perror("fopen");
+ return 1;
+ }
+
+ if (sepol_set_policydb_from_file(policyfile) < 0) {
+ perror("sepol_set_policydb_from_file");
+ return 1;
+ }
+
+ if (sepol_check_context(argv[2]) < 0) {
+ perror("sepol_check_context");
+ return 1;
+ }
+
+ if (fclose(policyfile) != 0) {
+ perror("fclose");
+ }
+
+ return 0;
+}
+
diff --git a/libsepol/sepol_check_context/runtest.sh b/libsepol/sepol_check_context/runtest.sh
new file mode 100644
index 0000000..6742dd9
--- /dev/null
+++ b/libsepol/sepol_check_context/runtest.sh
@@ -0,0 +1,63 @@
+#!/bin/bash
+# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/libsepol/Sanity/sepol_check_context
+# Description: Does sepol_check_context() work as expected?
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2017 Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="libsepol"
+POLICY_PATH_PREFIX="/etc/selinux"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-devel
+ rlRun "gcc -o example -lsepol example.c"
+ rlRun "make -f /usr/share/selinux/devel/Makefile"
+ rlRun "ls -l testpolicy.pp"
+ rlPhaseEnd
+
+ rlPhaseStartTest
+ for POLICY_KIND in minimum mls targeted ; do
+ if [ -d ${POLICY_PATH_PREFIX}/${POLICY_KIND}/policy ] ; then
+ POLICY_PATH=`find ${POLICY_PATH_PREFIX}/${POLICY_KIND}/policy/ -type f -name policy.?? | head -n 1`
+ rlRun "semodule -n -s ${POLICY_KIND} -r testpolicy" 0,1
+ rlRun "./example ${POLICY_PATH} system_u:object_r:xyz_file_t:s0" 1
+ rlRun "semodule -n -s ${POLICY_KIND} -i testpolicy.pp"
+ rlRun "./example ${POLICY_PATH} system_u:object_r:xyz_file_t:s0"
+ rlRun "semodule -n -s ${POLICY_KIND} -r testpolicy" 0,1
+ fi
+ done
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ rlRun "rm -f ./example ./testpolicy.pp"
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
diff --git a/libsepol/sepol_check_context/testpolicy.te b/libsepol/sepol_check_context/testpolicy.te
new file mode 100644
index 0000000..91cdee6
--- /dev/null
+++ b/libsepol/sepol_check_context/testpolicy.te
@@ -0,0 +1,4 @@
+policy_module(testpolicy,1.0)
+
+type xyz_file_t;
+
reply other threads:[~2026-09-11 13:17 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913263145.1.5504334503294787625.tests-selinux-3467323c2d68@fedoraproject.org \
--to=plautrba@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox